Subject: Killer Pocket-Flashlight for SELF-DEFENSE (75% OFF)

From: "X700 Flashlight" <[email-masked]>
Date: Tue, 6 Dec 2016 12:12:01 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.